# PointPatterns.jl

[![][travis-img]][travis-url] [![][codecov-img]][codecov-url]

Many tools have been developed in spatial statistics to
extract useful information from (marked) point clouds.
This package provides methods for spatial point pattern
analysis and synthesis including summary statistics and
sampling algorithms.

## Installation

Get the latest stable release with Julia's package manager:

```julia
] add PointPatterns
```

## Usage

This package is part of the [GeoStats.jl](https://github.com/JuliaEarth/GeoStats.jl) framework.

For examples of usage, please check the main documentation.

## Asking for help

If you have any questions, please contact our community on the [gitter channel](https://gitter.im/JuliaEarth/GeoStats.jl).

[travis-img]: https://travis-ci.org/JuliaEarth/PointPatterns.jl.svg?branch=master
[travis-url]: https://travis-ci.org/JuliaEarth/PointPatterns.jl

[codecov-img]: https://codecov.io/gh/JuliaEarth/PointPatterns.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/JuliaEarth/PointPatterns.jl
